org.apache.solr.analytics.util.valuesource

## Class SingleDoubleFunction

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.solr.analytics.util.valuesource.SingleDoubleFunction

- Direct Known Subclasses:
    AbsoluteValueDoubleFunction, NegateDoubleFunction

      public abstract class SingleDoubleFunction
      extends ValueSource

  Abstract `ValueSource` implementation which wraps one ValueSource and applies an extendible double function to its values.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ValueSource` | `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleDoubleFunction(ValueSource source)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `description()`
    `boolean` | `equals(Object o)`
    `FunctionValues` | `getValues(Map context, LeafReaderContext readerContext)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `createWeight, getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### source

          protected final ValueSource source

  - ### Constructor Detail

    - #### SingleDoubleFunction

          public SingleDoubleFunction(ValueSource source)

  - ### Method Detail

    - #### description

          public String description()

      Specified by:
        `description` in class `ValueSource`

    - #### getValues

          public FunctionValues getValues(Map context,
                                          LeafReaderContext readerContext)
                                   throws IOException

      Specified by:
        `getValues` in class `ValueSource`
      Throws:
        `IOException`

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in class `ValueSource`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `ValueSource`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.